Package Details: lazygit-git 0.11.3.r55.e0015a52-1

Git Clone URL: https://aur.archlinux.org/lazygit-git.git (read-only, click to copy)
Package Base: lazygit-git
Description: A simple terminal UI for git commands
Upstream URL: https://github.com/jesseduffield/lazygit
Licenses: MIT
Conflicts: lazygit
Provides: lazygit
Submitter: fuero
Maintainer: fuero
Last Packager: fuero
Votes: 2
Popularity: 0.000028
First Submitted: 2018-08-07 11:54
Last Updated: 2020-01-08 11:41

Dependencies (3)

Required by (0)

Sources (1)

Pinned Comments

fuero commented on 2018-08-11 17:22

edit: pinned. Comment on what to provide for help added.

What you guys experience is that your build environment is "tainted" by whatever packages exist on your system. I've had similar problems in the past with other packages :-(. With this particular package though, I can build it fine with and without chroot.

That's why pretty much all the distros build their packages in sane build environments.

As it's tough to figure out what plagues your systems, my recommendation stands - stick to chroot builds. I know it's a bother, but sadly that's the only help I can give you.

If it still doesn't work, please install devtools and provide a complete log of your build attempt with

extra-x86_64-build -c 2>&1 | tee build.log

Upload it to a pastebin service and post the link.

Latest Comments

« First ‹ Previous 1 2

fuero commented on 2018-08-09 17:00

@Veras:

I can't reproduce what you're stating. I've just built it with extra-x86_64-build and it works fine. Please elaborate on what "three different things" are exactly.

veras commented on 2018-08-09 09:18

Is it possible to make it so this package automatically downloads the required libraries? I had to download three different things using 'go get _' before this package to install properly.